const VersionModel = require('../../../models/VersionModel')

// Endpoint برای دریافت نسخه فعلی
const getVersion = async (req, res, next) => {
  try {
    const currentVersion = await VersionModel.findOne().sort({ _id: -1 }).exec()
    if (!currentVersion) {
      return res.status(200).json({ message: 'نسخه‌ای پیدا نشد' })
    }
    res.json(currentVersion)
  } catch (error) {
    res.status(500).json({ message: 'خطای سرور', error })
  }
}

module.exports = { getVersion }
